<?php

namespace Drupal\component_schema\Component;

use Drupal\Core\Config\TypedConfigManagerInterface;
use Drupal\Core\Template\TwigEnvironment;

/**
 * Defines an interface for managing component schema type plugins.
 *
 * @see \Drupal\Core\Config\TypedConfigManager
 * @see \Drupal\component_schema\Component\TypedComponentManager
 */
interface TypedComponentManagerInterface extends TypedConfigManagerInterface {

  /**
   * Clears cached definitions if in Twig debug mode.
   *
   * @param \Drupal\Core\Template\TwigEnvironment $twig
   *   The Twig environment.
   */
  public function handleTwigDebug(TwigEnvironment $twig);

}
